Package com.independentsoft.office.drawing.tables

# Class TableGridColumn

java.lang.Object
com.independentsoft.office.drawing.tables.TableGridColumn

public class TableGridColumn extends Object
The Class TableGridColumn.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableGridColumn()`
  Instantiates a new table grid column.
  `TableGridColumn​(long width)`
  Instantiates a new table grid column.
  `TableGridColumn​(Unit width)`
  Instantiates a new table grid column.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableGridColumn`
  `clone()`
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `Unit`
  `getWidth()`
  Gets the width.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `void`
  `setWidth​(Unit width)`
  Sets the width.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableGridColumn

    public TableGridColumn()
    Instantiates a new table grid column.

  - ### TableGridColumn

    public TableGridColumn​(Unit width)
    Instantiates a new table grid column.
    Parameters:
      `width` - the width

  - ### TableGridColumn

    public TableGridColumn​(long width)
    Instantiates a new table grid column.
    Parameters:
      `width` - the width

- ## Method Details

  - ### clone

    public TableGridColumn clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getWidth

    public Unit getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(Unit width)
    Sets the width.
    Parameters:
      `width` - the new width

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list